Profiles
All profiles the API key can access, oldest first. Filter by externalId to find the profile of one of your customers.
Requires profiles:read.
Authorization
bearerAuth AuthorizationBearer <token>
API key starting with fh_
In: header
Query Parameters
externalId?string
Your own id for this object, e.g. your customer id. Unique per organization
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://feedhorizon.com/api/v1/profiles"{
"data": [
{
"id": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
"name": "string",
"color": "string",
"timezone": "string",
"isDefault": true,
"queueEnabled": true,
"externalId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}{
"error": {
"type": "invalid_request_error",
"code": "string",
"message": "string",
"param": "string",
"details": [
{
"param": "string",
"code": "string",
"message": "string"
}
],
"docUrl": "http://example.com",
"requestId": "string"
}
}